package org.project.entity.enemies;

import org.project.item.weapons.BoneHarpoon;
import org.project.item.weapons.TailScythe;
import org.project.item.weapons.Weapon;

public class Dragon extends Enemy{
    private static int DEFAULT_HP = 200;
    private static int DEFAULT_MP = 200;
    private static TailScythe DEFAULT_WEAPON = new TailScythe();
    private static int DEFAULT_HEAL_MANA_COST = 20;
    private static int DEFAULT_DEFEND_MANA_COST = 20;

    public Dragon() {
        super(DEFAULT_HP, DEFAULT_MP, DEFAULT_WEAPON,
                DEFAULT_HEAL_MANA_COST, DEFAULT_DEFEND_MANA_COST);
    }

    public Dragon(String name, int hp, int mp, Weapon weapon,
                  int healManaCost, int defendManaCost) {
        super(hp, mp, weapon, healManaCost, defendManaCost);
    }

    @Override
    public String getType() {
        return "Dragon";
    }
}
